%define name	timidity-init
%define version	0.3
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Init script for TiMidity++ ALSA sequencer
License:	GPL
Source0:	timidity.init.bz2
Source1:	timidity.sysconfig.bz2
URL:		http://timidity.sourceforge.net/
Group:		Sound
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	TiMidity++
PreReq:		rpm-helper

%description
Contains init script to launch TiMidity++ as a service. This allows one to
hear music played by any application which outputs to a MIDI device
even if you do not own a MIDI synthesizer soundcard.

%install
rm -rf %buildroot

install -d -m 755 %buildroot%_initrddir
install -d -m 755 %buildroot%_sysconfdir/sysconfig
install -m 755 %SOURCE0 %buildroot%_initrddir/timidity
install -m 644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/timidity

%post
%_post_service timidity

%preun
%_preun_service timidity

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/sysconfig/timidity
%config(noreplace) %_initrddir/timidity

%changelog
* Sun Feb 20 2005 Abel Cheung <deaddog@mandrake.org> 0.3-1mdk
- 0.3, submitted by Miguel Barrio Orsikowsky <megamik@zarb.org>:
  o made a total rewrite of script and sysconfig file
  o modified description
- Add more parameters to allow extra tuning

* Tue Nov 16 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2-2mdk
- fixed a bug in the way of launching the program
- lower quality by default (less CPU consumption)

* Tue Nov 16 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.2-1mdk
- modified init script to launch timidity in true daemon mode

* Tue Nov 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-2mdk
- actually bunzip2 source
- use spaces in stead of tabs at the top of init file, using tabs breaks it
- cosmetics

* Sun Aug 29 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- from Miguel Barrio Orsikowsky
  - first version
